Create a new Report Component

Add a new Report Component to the Report. If the component already exists, it will be updated. To create a new Component, you will need to specify the type, name, and config fields. Depending on the Component type, you may need to specify additional fields in the config object.

For size components, you will need to specify the segment_ids field ([]string) in the config object.

For composition components, you will need to specify the segment_ids ([]string) field and a field (string) from the user schema in the config object.

For overflow components, you will need to specify the segment_ids ([]string) field in the config object.

For dataflow components, you will need to specify the segment_ids ([]string) field in the config object, as well as show_providers, show_streams, and show_destinations (boolean) options.

Path Params
string
required

The report ID

Query Params
string

The account ID. Defaults to the user's default account.

Body Params

Component Request

string

The configuration for the component. The structure of this object is dependent on the type of component. See the top of the page for more information.

string

An optional description of the component

string
string
required

The name of the component to be used in the Report.

string
enum
required

The type of component to be used in the Report.

Allowed:
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json